Subject: Re: Linksys Gigabit USB2.0 adapter (asix) regression

From: Erik Slagter <[email-masked]>
Date: Mon, 25 Jun 2007 19:05:31 +0200

David Hollis wrote:

> You wouldn't happen to know what PHY that device is using?  The AX88178
> (Gigabit USB Ethernet) support in the driver currently only supports the
> Marvell PHY, which is the only one I've actually encountered to-date.

I'll quote a few of strings that are spewed that I assume might be
interesting:

drivers/net/usb/asix.c: GPIO Status: 0x0002
drivers/net/usb/asix.c: EEPROM index 0x17 is 0x0580
drivers/net/usb/asix.c: GPIO0: 0, PhyMode: 0
drivers/net/usb/asix.c: PHYID=0x01410cc2
usb%d: MII_MARVELL_STATUS = 0x848f
usb%d: MII_MARVELL_LED_CTRL (1) = 0x4100
usb%d: MII_MARVELL_LED_CTRL (2) = 0x4101